Error compiling dartdevc module

Trying to update my package with support for Firestore (JS bindings for Node SDK), got below error:

[SEVERE] Instance of ‘DevCompilerBuilder’ on firebase_admin_interop|lib/src/admin.module:
Error compiling dartdevc module:firebase_admin_interop|lib/src/admin.ddc.js

We’re sorry, you’ve found a bug in our compiler.
You can report this bug at:
https://github.com/dart-lang/sdk/issues/labels/area-dev-compiler
Please include the information below in your report, along with
any other information that may help us track it down. Thanks!

dartdevc arguments: --dart-sdk=/usr/local/Cellar/dart/2.0.0-dev.19.0/libexec --dart-sdk-summary=/usr/local/Cellar/dart/2.0.0-dev.19.0/libexec/lib/_internal/ddc_sdk.sum --modules=common -o packages/firebase_admin_interop/src/admin.ddc.js --module-root=. --library-root=/lib --summary-extension=linked.sum --no-summarize --options=packages/build_web_compilers/src/analysis_options.default.yaml --source-map --source-map-comment --inline-source-map -s packages/js/js.linked.sum -s packages/node_interop/stream.linked.sum -s packages/node_interop/events.linked.sum -s packages/quiver_hashcode/hashcode.linked.sum -s packages/node_interop/js.linked.sum -s packages/node_interop/util.linked.sum -s packages/js/js_util.linked.sum -s packages/firebase_admin_interop/src/bindings.linked.sum -s packages/firebase_admin_interop/src/firestore_bindings.linked.sum -s packages/func/func.linked.sum -s packages/meta/meta.linked.sum -s packages/node_interop/node.linked.sum -s packages/node_interop/buffer.linked.sum -s packages/node_interop/console.linked.sum -s packages/node_interop/module.linked.sum --url-mapping=package:firebase_admin_interop/src/admin.dart,packages/firebase_admin_interop/src/admin.dart --url-mapping=package:firebase_admin_interop/src/database.dart,packages/firebase_admin_interop/src/database.dart --url-mapping=package:firebase_admin_interop/src/firestore.dart,packages/firebase_admin_interop/src/firestore.dart --url-mapping=package:firebase_admin_interop/src/app.dart,packages/firebase_admin_interop/src/app.dart package:firebase_admin_interop/src/admin.dart package:firebase_admin_interop/src/database.dart package:firebase_admin_interop/src/firestore.dart package:firebase_admin_interop/src/app.dart
    dart --version: 2.0.0-dev.19.0 (Fri Jan 19 08:01:12 2018 +0100) on "macos_x64"

Exception stack trace:

Bad state: Too many elements
#0      List.single (dart:core-patch/dart:core/growable_array.dart:222)
#1      CodeGenerator._emitObjectLiteral (package:dev_compiler/src/analyzer/code_generator.dart:4412)
#2      CodeGenerator._emitInstanceCreationExpression (package:dev_compiler/src/analyzer/code_generator.dart:4353)
#3      CodeGenerator.visitInstanceCreationExpression (package:dev_compiler/src/analyzer/code_generator.dart:4482)
#4      InstanceCreationExpressionImpl.accept (package:analyzer/src/dart/ast/ast.dart:6444)
#5      CodeGenerator._visitExpression (package:dev_compiler/src/analyzer/code_generator.dart:5724)
#6      CodeGenerator.visitConditionalExpression (package:dev_compiler/src/analyzer/code_generator.dart:5299)
#7      ConditionalExpressionImpl.accept (package:analyzer/src/dart/ast/ast.dart:2629)
#8      CodeGenerator._visitExpression (package:dev_compiler/src/analyzer/code_generator.dart:5724)
#9      CodeGenerator.visitVariableDeclarationStatement (package:dev_compiler/src/analyzer/code_generator.dart:4207)
#10     VariableDeclarationStatementImpl.accept (package:analyzer/src/dart/ast/ast.dart:11274)
#11     CodeGenerator._visitStatement (package:dev_compiler/src/analyzer/code_generator.dart:5743)
#12     MappedListIterable.elementAt (dart:_internal/iterable.dart:413)
#13     ListIterable.toList (dart:_internal/iterable.dart:218)
#14     CodeGenerator._visitStatementList (package:dev_compiler/src/analyzer/code_generator.dart:5750)
#15     CodeGenerator.visitBlockFunctionBody (package:dev_compiler/src/analyzer/code_generator.dart:3609)
#16     BlockFunctionBodyImpl.accept (package:analyzer/src/dart/ast/ast.dart:1287)
#17     CodeGenerator._emitFunctionBody (package:dev_compiler/src/analyzer/code_generator.dart:2859)
#18     CodeGenerator._emitFunction (package:dev_compiler/src/analyzer/code_generator.dart:2826)
#19     CodeGenerator._emitMethodDeclaration (package:dev_compiler/src/analyzer/code_generator.dart:2637)
#20     CodeGenerator._emitClassMethods (package:dev_compiler/src/analyzer/code_generator.dart:1509)
#21     CodeGenerator._emitClassDeclaration (package:dev_compiler/src/analyzer/code_generator.dart:917)
#22     CodeGenerator.visitClassDeclaration (package:dev_compiler/src/analyzer/code_generator.dart:876)
#23     ClassDeclarationImpl.accept (package:analyzer/src/dart/ast/ast.dart:1906)
#24     CodeGenerator._emitTypeDeclaration (package:dev_compiler/src/analyzer/code_generator.dart:580)
#25     CodeGenerator.visitCompilationUnit (package:dev_compiler/src/analyzer/code_generator.dart:651)
#26     List.forEach (dart:core-patch/dart:core/array.dart:79)
#27     CodeGenerator._emitModule (package:dev_compiler/src/analyzer/code_generator.dart:388)
#28     CodeGenerator.compile (package:dev_compiler/src/analyzer/code_generator.dart:265)
#29     ModuleCompiler.compile (package:dev_compiler/src/analyzer/module_compiler.dart:223)
#30     _compile (package:dev_compiler/src/analyzer/command.dart:187)
#31     compile (package:dev_compiler/src/analyzer/command.dart:57)
#32     _CompilerWorker.performRequest (file:///b/build/slave/dart-sdk-mac-dev/build/sdk/pkg/dev_compiler/bin/dartdevc.dart:43)
<asynchronous suspension>
#33     AsyncWorkerLoop.run.<anonymous closure> (package:bazel_worker/src/worker/async_worker_loop.dart:33)
#34     _rootRun (dart:async/zone.dart:1126)
#35     _CustomZone.run (dart:async/zone.dart:1023)
#36     runZoned (dart:async/zone.dart:1501)
#37     AsyncWorkerLoop.run (package:bazel_worker/src/worker/async_worker_loop.dart:33)
<asynchronous suspension>
#38     main (file:///b/build/slave/dart-sdk-mac-dev/build/sdk/pkg/dev_compiler/bin/dartdevc.dart:23)
<asynchronous suspension>
#39     _startIsolate.<anonymous closure> (dart:isolate-patch/dart:isolate/isolate_patch.dart:276)
#40     _RawReceivePortImpl._handleMessage (dart:isolate-patch/dart:isolate/isolate_patch.dart:164)

Author: Fantashit

1 thought on “Error compiling dartdevc module

Comments are closed.